Subject: bug#74590: 31.0.50 [scratch/igc branch]; key input sometimes skip fcitx input method preedit box

From: Helmut Eller <[email-masked]>
Date: Sat, 30 Nov 2024 11:39:07 +0100

On Fri, Nov 29 2024, Gerd Möllmann wrote:

>> Not sure if that is used in your build, but in x_display_info (xterm.h)
>> I see a number of struct frame pointers that are not fixed in fix_frame,
>> starting with
>>
>>   struct frame *x_focus_frame;
>>
>> And if it's not that display info that is being used, I'd bet a small
>> amount that whatever is actually used (pgtk_display_info?) has a similar
>> problems.
>>
>> (Can't fix this myself, sorry, I only have macOS.)

I think the x_display_info struct (I guess usually only one exists) is
allocated in x_term_init (or pgtk_term_init) with igc_xzalloc_ambig.  So
theoretically it doesn't need to be traced.